#ifndef DEF_PLAYER
#define DEF_PLAYER

#include "sound.h"

class Application;

class Player
{
	public:
		Player();
		void SetApp(Application *App);
		virtual void Display();
		bool GetInside(sf::Rect<int> Box);
		~Player();

		sf::Sprite* GetSprite();
	
	private:
		Application *_App;
		sf::RenderWindow *_RWindow;

		sf::Image _Image;
		sf::Sprite _Sprite;
		sf::Vector2<float> _CursorPos;

		float _timer;
		int _frame;
};

#endif
