#ifndef DEF_SOUND
#define DEF_SOUND

#include "libs.h"

class Sound
{
	public:
		Sound();
		void LoadFromFile(string path);
		void Play();
		void PlayOnce();
		void Stop();
		void SetVolume(float volume);
		void Clear();
		~Sound();
	
	private:
		ALuint _buffer;
		ALuint _source;
		float _volume;
		float _dTime;

		bool _loaded;
		bool _played;
};

#endif
